#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 10393 $
$LastChangedDate:: 2021-12-06 15:28:56 +0100#$

This file is part of SyMSpace.

Copyright (c) 2019, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""
from symspace.gui.qt.form_dialog import FormDialog
from symspace.console.script_utils import ScriptUtils
import subprocess
import os


def main():
    start_path = ''

    form_title = 'Build dockerfile'
    form_elements = [('Dockerfile', 'browse_file', ''),
                     ('Image name', 'line'),
                     ]
    form_result = FormDialog.run(form_title, form_elements)
    if form_result['accept']:
        dockerfile = form_result['Dockerfile']
        image = form_result['Image name']
        if os.path.exists(dockerfile):
            subprocess.run(['docker', 'build', '-t', image, '.'], cwd=os.path.dirname(dockerfile))
    else:
        print('Cancelled by user')


if __name__ == '__main__':
    """
    Run Python GUI script
    """
    ScriptUtils.run(main)
